"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.any = exports.Leaves = exports.Functor = void 0;
exports.array = array;
exports.boolean = exports.bigint = void 0;
exports.eq = eq;
exports.integer = exports.fold = void 0;
exports.intersect = intersect;
exports.number = exports.null = exports.never = exports.leafTags = exports.isLeaf = void 0;
exports.object = object_;
exports.optional = optional;
exports.record = record;
exports.symbol = exports.string = void 0;
exports.tuple = tuple;
exports.unfold = exports.undefined = void 0;
exports.union = union;
exports.void = exports.unknown = void 0;
var _registry = /*#__PURE__*/require("@traversable/registry");
const unknown_ = exports.unknown = {
  tag: _registry.URI.unknown,
  def: void 0
};
const never_ = exports.never = {
  tag: _registry.URI.never,
  def: void 0
};
const any_ = exports.any = {
  tag: _registry.URI.any,
  def: void 0
};
const void_ = exports.void = {
  tag: _registry.URI.void,
  def: void 0
};
const null_ = exports.null = {
  tag: _registry.URI.null,
  def: null
};
const undefined_ = exports.undefined = {
  tag: _registry.URI.undefined,
  def: void 0
};
const symbol_ = exports.symbol = {
  tag: _registry.URI.symbol,
  def: /*#__PURE__*/globalThis.Symbol()
};
const boolean_ = exports.boolean = {
  tag: _registry.URI.boolean,
  def: false
};
const number_ = exports.number = {
  tag: _registry.URI.number,
  def: 0
};
const integer_ = exports.integer = {
  tag: _registry.URI.integer,
  def: 0
};
const bigint_ = exports.bigint = {
  tag: _registry.URI.bigint,
  def: 0n
};
const string_ = exports.string = {
  tag: _registry.URI.string,
  def: ''
};
function eq(x) {
  return {
    tag: _registry.URI.eq,
    def: x
  };
}
function array(x) {
  return {
    tag: _registry.URI.array,
    def: x
  };
}
function record(x) {
  return {
    tag: _registry.URI.record,
    def: x
  };
}
function optional(x) {
  return {
    tag: _registry.URI.optional,
    def: x
  };
}
function tuple(xs) {
  return {
    tag: _registry.URI.tuple,
    def: xs
  };
}
function object_(xs) {
  return {
    tag: _registry.URI.object,
    def: xs
  };
}
function union(xs) {
  return {
    tag: _registry.URI.union,
    def: xs
  };
}
function intersect(xs) {
  return {
    tag: _registry.URI.intersect,
    def: xs
  };
}
const Leaves = exports.Leaves = [unknown_, never_, any_, void_, null_, undefined_, symbol_, boolean_, integer_, number_, bigint_, string_];
const leafTags = exports.leafTags = /*#__PURE__*/Leaves.map(l => l.tag);
const isLeaf = u => typeof u === 'function' && 'tag' in u && typeof u.tag === 'string' && leafTags.includes(u.tag);
exports.isLeaf = isLeaf;
const Functor = exports.Functor = {
  map(f) {
    return x => {
      switch (true) {
        default:
          return _registry.fn.exhaustive(x);
        case isLeaf(x):
          return x;
        case x.tag === _registry.URI.eq:
          return eq(f(x.def));
        case x.tag === _registry.URI.array:
          return array(f(x.def));
        case x.tag === _registry.URI.record:
          return record(f(x.def));
        case x.tag === _registry.URI.optional:
          return optional(f(x.def));
        case x.tag === _registry.URI.object:
          return object_(_registry.fn.map(x.def, f));
        case x.tag === _registry.URI.tuple:
          return tuple(_registry.fn.map(x.def, f));
        case x.tag === _registry.URI.union:
          return union(_registry.fn.map(x.def, f));
        case x.tag === _registry.URI.intersect:
          return intersect(_registry.fn.map(x.def, f));
      }
    };
  }
};
const fold = exports.fold = /*#__PURE__*/_registry.fn.cata(Functor);
const unfold = exports.unfold = /*#__PURE__*/_registry.fn.ana(Functor);
//# sourceMappingURL=ast.js.map