"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.applyOptions = applyOptions;
exports.configure = configure;
exports.eqDefaults = exports.defaults = void 0;
exports.getConfig = getConfig;
var _registry = /*#__PURE__*/require("@traversable/registry");
const eqDefaults = exports.eqDefaults = {
  equalsFn: _registry.Equal.lax
};
const defaults = exports.defaults = {
  schema: {
    optionalTreatment: 'presentButUndefinedIsOK',
    treatArraysAsObjects: false,
    eq: eqDefaults
  }
};
/** @internal */
let __mutableConfig = {
  ...defaults
};
function getConfig() {
  return {
    schema: __mutableConfig.schema
  };
}
function applyOptions(options) {
  const equalsFn = options?.eq?.equalsFn || options?.optionalTreatment === 'treatUndefinedAndOptionalAsTheSame' ? _registry.Equal.lax : defaults.schema.eq.equalsFn;
  return !options ? defaults.schema : {
    eq: {
      equalsFn
    },
    optionalTreatment: options.optionalTreatment ?? defaults.schema.optionalTreatment,
    treatArraysAsObjects: options.treatArraysAsObjects ?? defaults.schema.treatArraysAsObjects
  };
}
function configure($) {
  $?.schema?.optionalTreatment !== undefined && void (__mutableConfig.schema.optionalTreatment = $?.schema?.optionalTreatment);
  $?.schema?.treatArraysAsObjects !== undefined && void (__mutableConfig.schema.treatArraysAsObjects = $.schema.treatArraysAsObjects);
  $?.schema?.eq?.equalsFn !== undefined && void (__mutableConfig.schema.eq.equalsFn = $.schema.eq.equalsFn);
  return getConfig();
}
//# sourceMappingURL=config.js.map