"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.t = void 0;
var _registry = /*#__PURE__*/require("@traversable/registry");
var AST = /*#__PURE__*/_interopRequireWildcard(/*#__PURE__*/require("./ast.js"));
var _config = /*#__PURE__*/require("./config.js");
var _predicate = /*#__PURE__*/require("./predicate.js");
function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var r = new WeakMap(),
    t = new WeakMap();
  return (_getRequireWildcardCache = function (e) {
    return e ? t : r;
  })(e);
}
function _interopRequireWildcard(e, r) {
  if (!r && e && e.__esModule) return e;
  if (null === e || "object" != typeof e && "function" != typeof e) return {
    default: e
  };
  var t = _getRequireWildcardCache(r);
  if (t && t.has(e)) return t.get(e);
  var n = {
      __proto__: null
    },
    a = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) {
    var i = a ? Object.getOwnPropertyDescriptor(e, u) : null;
    i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u];
  }
  return n.default = e, t && t.set(e, n), n;
}
/** @internal */
const Object_assign = globalThis.Object.assign;
/** @internal */
const isPredicate = u => typeof u === 'function';
var t;
(function (t) {
  t.Never = /*#__PURE__*/Object_assign(_ => false, AST.never);
  t.Any = /*#__PURE__*/Object_assign(_ => true, AST.any);
  t.Unknown = /*#__PURE__*/Object_assign(_ => true, AST.unknown);
  t.Void = /*#__PURE__*/Object_assign(_ => _ === void 0, AST.void);
  t.Null = /*#__PURE__*/Object_assign(_ => _ === null, AST.null);
  t.Undefined = /*#__PURE__*/Object_assign(_ => _ === void 0, AST.undefined);
  t.BigInt = /*#__PURE__*/Object_assign(_ => typeof _ === 'bigint', AST.bigint);
  t.Symbol = /*#__PURE__*/Object_assign(_ => typeof _ === 'symbol', AST.symbol);
  t.Boolean = /*#__PURE__*/Object_assign(_ => typeof _ === 'boolean', AST.boolean);
  t.Integer = /*#__PURE__*/Object_assign(globalThis.Number.isInteger, AST.integer);
  t.Number = /*#__PURE__*/Object_assign(_ => typeof _ === 'number', AST.number);
  t.String = /*#__PURE__*/Object_assign(_ => typeof _ === 'string', AST.string);
  function Inline(guard) {
    guard.tag = _registry.URI.inline;
    return guard;
  }
  t.Inline = Inline;
  t.Leaves = [t.Unknown, t.Never, t.Any, t.Void, t.Undefined, t.Null, t.Symbol, t.BigInt, t.Boolean, t.Integer, t.Number, t.String];
  t.leafTags = /*#__PURE__*/t.Leaves.map(_ => _.tag);
  t.isLeaf = u => typeof u === 'function' && 'tag' in u && typeof u.tag === 'string' && t.leafTags.includes(u.tag);
  function Eq(v, $) {
    return t.Eq.def(v, $);
  }
  t.Eq = Eq;
  (function (Eq) {
    function def(x, $ = (0, _config.getConfig)().schema) {
      const config = (0, _config.applyOptions)($);
      return Object_assign(src => typeof x === 'function' ? x(src) : config.eq.equalsFn(src, x), AST.eq(x));
    }
    Eq.def = def;
  })(Eq = t.Eq || (t.Eq = {}));
  function Array(x) {
    return t.Array.def(x);
  }
  t.Array = Array;
  (function (Array) {
    function def(x) {
      return Object_assign(src => isPredicate(x) ? _predicate.is.array(x)(src) : x, AST.array(x));
    }
    Array.def = def;
  })(Array = t.Array || (t.Array = {}));
  function Record(x) {
    return t.Record.def(x);
  }
  t.Record = Record;
  (function (Record) {
    function def(x) {
      return Object_assign(src => isPredicate(x) ? _predicate.is.record(x)(src) : x, AST.record(x));
    }
    Record.def = def;
  })(Record = t.Record || (t.Record = {}));
  function Union(...xs) {
    return t.Union.def(xs);
  }
  t.Union = Union;
  (function (Union) {
    function def(xs) {
      return Object_assign(src => xs.every(isPredicate) ? _predicate.is.union(...xs)(src) : xs, AST.union(xs));
    }
    Union.def = def;
  })(Union = t.Union || (t.Union = {}));
  function Intersect(...xs) {
    return t.Intersect.def(xs);
  }
  t.Intersect = Intersect;
  (function (Intersect) {
    function def(xs) {
      return Object_assign(src => xs.every(isPredicate) ? _predicate.is.intersect(...xs)(src) : xs, AST.intersect(xs));
    }
    Intersect.def = def;
  })(Intersect = t.Intersect || (t.Intersect = {}));
  function Optional(x) {
    return Optional.def(x);
  }
  t.Optional = Optional;
  (function (Optional) {
    function def(x) {
      return Object_assign(src => isPredicate(x) ? _predicate.is.optional(x)(src) : x, AST.optional(x));
    }
    Optional.def = def;
    Optional.is = u => !!u && (typeof u === 'function' || typeof u === 'object') && 'tag' in u && u.tag === _registry.URI.optional;
  })(Optional = t.Optional || (t.Optional = {}));
  function Object(xs, $ = (0, _config.getConfig)().schema) {
    return t.Object.def(xs, $);
  }
  t.Object = Object;
  (function (Object) {
    function def(xs, $) {
      return Object_assign(src => _predicate.is.record(isPredicate)(xs) ? _predicate.is.object(xs, {
        ...(0, _config.getConfig)().schema,
        ...$
      })(src) : xs, {
        opt: globalThis.Object.keys(xs).filter(k => Optional.is(xs[k]))
      }, AST.object(xs));
    }
    Object.def = def;
  })(Object = t.Object || (t.Object = {}));
  //
  function Tuple(...args) {
    const [guards, $] = (0, _registry.parseArgs)((0, _config.getConfig)().schema, args);
    return t.Tuple.def(guards, $);
  }
  t.Tuple = Tuple;
  (function (Tuple) {
    function def(xs, $ = (0, _config.getConfig)().schema) {
      const options = {
        ...$,
        minLength: $.optionalTreatment === 'treatUndefinedAndOptionalAsTheSame' ? -1 : xs.findIndex(t.Optional.is)
      };
      return Object_assign(src => xs.every(isPredicate) ? _predicate.is.tuple(options)(...xs)(src) : xs, AST.tuple(xs));
    }
    Tuple.def = def;
  })(Tuple = t.Tuple || (t.Tuple = {}));
})(t || (exports.t = t = {}));
//# sourceMappingURL=core.js.map