import * as T from '@traversable/registry';
import { URI } from '@traversable/registry';
export { never_ as never, unknown_ as unknown, any_ as any, void_ as void, null_ as null, undefined_ as undefined, bigint_ as bigint, symbol_ as symbol, boolean_ as boolean, integer_ as integer, number_ as number, string_ as string, eq, array, record, optional, object_ as object, tuple, union, intersect, type Leaf, type Free, type F, leafTags, Leaves, isLeaf, Functor, fold, unfold, };
interface never_ {
    tag: URI.never;
    def: never;
}
interface unknown_ {
    tag: URI.unknown;
    def: unknown;
}
interface any_ {
    tag: URI.any;
    def: any;
}
interface void_ {
    tag: URI.void;
    def: void;
}
interface null_ {
    tag: URI.null;
    def: null;
}
interface undefined_ {
    tag: URI.undefined;
    def: undefined;
}
interface bigint_ {
    tag: URI.bigint;
    def: bigint;
}
interface symbol_ {
    tag: URI.symbol;
    def: symbol;
}
interface boolean_ {
    tag: URI.boolean;
    def: boolean;
}
interface integer_ {
    tag: URI.integer;
    def: number;
}
interface number_ {
    tag: URI.number;
    def: number;
}
interface string_ {
    tag: URI.string;
    def: string;
}
interface eq<T = unknown> {
    tag: URI.eq;
    def: T;
}
interface array<T = unknown> {
    tag: URI.array;
    def: T;
}
interface record<T = unknown> {
    tag: URI.record;
    def: T;
}
interface optional<T = unknown> {
    tag: URI.optional;
    def: T;
}
interface union<T = unknown> {
    tag: URI.union;
    def: T;
}
interface intersect<T = unknown> {
    tag: URI.intersect;
    def: T;
}
interface tuple<T = unknown> {
    tag: URI.tuple;
    def: T;
}
interface object_<T = unknown> {
    tag: URI.object;
    def: T;
}
type Leaf = typeof Leaves[number];
interface Free extends T.HKT {
    [-1]: F<this[0]>;
}
type F<_> = Leaf | eq<_> | array<_> | record<_> | optional<_> | tuple<readonly _[]> | union<readonly _[]> | intersect<readonly _[]> | object_<{
    [x: string]: _;
}>;
type Fixpoint = Leaf | eq<Fixpoint> | array<Fixpoint> | record<Fixpoint> | optional<Fixpoint> | tuple<readonly Fixpoint[]> | union<readonly Fixpoint[]> | intersect<readonly Fixpoint[]> | object_<{
    [x: string]: Fixpoint;
}>;
declare const unknown_: unknown_;
declare const never_: never_;
declare const any_: any_;
declare const void_: void_;
declare const null_: null_;
declare const undefined_: undefined_;
declare const symbol_: symbol_;
declare const boolean_: boolean_;
declare const number_: number_;
declare const integer_: integer_;
declare const bigint_: bigint_;
declare const string_: string_;
declare function eq<T>(x: T): eq<T>;
declare function array<T>(x: T): array<T>;
declare function record<T>(x: T): record<T>;
declare function optional<T>(x: T): optional<T>;
declare function tuple<T>(xs: T): tuple<T>;
declare function object_<T>(xs: T): object_<T>;
declare function union<T>(xs: T): union<T>;
declare function intersect<T>(xs: T): intersect<T>;
declare const Leaves: (never_ | unknown_ | any_ | void_ | null_ | undefined_ | bigint_ | symbol_ | boolean_ | integer_ | number_ | string_)[];
declare const leafTags: ("@traversable/schema/URI::never" | "@traversable/schema/URI::unknown" | "@traversable/schema/URI::any" | "@traversable/schema/URI::void" | "@traversable/schema/URI::null" | "@traversable/schema/URI::undefined" | "@traversable/schema/URI::bigint" | "@traversable/schema/URI::symbol" | "@traversable/schema/URI::boolean" | "@traversable/schema/URI::integer" | "@traversable/schema/URI::number" | "@traversable/schema/URI::string")[];
declare const isLeaf: (u: unknown) => u is Leaf;
declare const Functor: T.Functor<Free, Fixpoint>;
declare const fold: <T>(algebra: T.Algebra<Free, T>) => <S extends Fixpoint>(term: S) => T;
declare const unfold: <T>(coalgebra: T.Coalgebra<Free, T>) => <S extends Fixpoint>(expr: S) => F<T>;
//# sourceMappingURL=ast.d.ts.map