import type { GlobalOptions, SchemaOptions } from './options.js';
import type { Primitive } from '@traversable/registry';
declare namespace Required {
    type Atom = globalThis.Date | globalThis.RegExp | globalThis.Function;
    type Deep<T, Atom = Required.Atom | Primitive> = [T] extends [Atom] ? T : {
        [K in keyof T]-?: Required.Deep<T[K], Atom>;
    };
}
export interface SchemaConfig extends Required.Deep<SchemaOptions> {
}
export interface GlobalConfig extends Required<{
    [K in keyof GlobalOptions]: NonNullable<Required<GlobalOptions[K]>>;
}> {
}
export declare const eqDefaults: {
    equalsFn: typeof import("@traversable/registry/src/equals").lax;
};
export declare const defaults: {
    readonly schema: {
        readonly optionalTreatment: "presentButUndefinedIsOK";
        readonly treatArraysAsObjects: false;
        readonly eq: {
            equalsFn: typeof import("@traversable/registry/src/equals").lax;
        };
    };
};
export declare function getConfig(): GlobalConfig;
export declare function applyOptions(options?: SchemaOptions): SchemaConfig;
export declare function configure(options?: GlobalOptions): GlobalConfig;
export {};
//# sourceMappingURL=config.d.ts.map