import type { Conform } from '@traversable/registry';
import { t } from './core.js';
export declare const is: {
    readonly never: (u: unknown) => u is t.Never;
    readonly any: (u: unknown) => u is t.Any;
    readonly void: (u: unknown) => u is t.Void;
    readonly unknown: (u: unknown) => u is t.Unknown;
    readonly null: (u: unknown) => u is t.Null;
    readonly undefined: (u: unknown) => u is t.Undefined;
    readonly symbol: (u: unknown) => u is t.Symbol;
    readonly boolean: (u: unknown) => u is t.Boolean;
    readonly bigint: (u: unknown) => u is t.BigInt;
    readonly integer: (u: unknown) => u is t.Integer;
    readonly number: (u: unknown) => u is t.Number;
    readonly string: (u: unknown) => u is t.String;
    readonly eq: <S>(u: S) => u is Conform<S, t.Eq<any>, t.Eq>;
    readonly array: <S>(u: S) => u is Conform<S, t.Array<any>, t.Array>;
    readonly record: <S>(u: S) => u is Conform<S, t.Record<any>, t.Record>;
    readonly optional: <S>(u: S) => u is Conform<S, t.Optional<any>, t.Optional>;
    readonly union: <S>(u: unknown) => u is Conform<S, t.Union<any>, t.Union>;
    readonly intersect: <S>(u: unknown) => u is Conform<S, t.Intersect<any>, t.Intersect>;
    readonly tuple: <S>(u: S) => u is Conform<S, t.Tuple<any>, t.Tuple>;
    readonly object: <S>(u: unknown) => u is Conform<S, t.Object<any>, t.Object>;
};
//# sourceMappingURL=is.d.ts.map