import type { Intersect } from '@traversable/registry';
import { has } from '@traversable/registry';
import type { SchemaOptions } from './options.js';
import type { Predicate } from './types.js';
export declare const is: {
    has: typeof has;
    array: typeof array;
    record: typeof record;
    union: typeof union;
    intersect: typeof intersect;
    optional: typeof optional;
    object: typeof object;
    tuple: typeof tuple;
};
declare function array<T>(guard: (u: unknown) => u is T): (u: unknown) => u is readonly T[];
declare function record<T>(guard: (u: unknown) => u is T): (u: unknown) => u is globalThis.Record<string, T>;
declare function record<T, K extends keyof any>(keyGuard: (k: keyof any) => k is K, valueGuard: (u: unknown) => u is T): (u: unknown) => u is globalThis.Record<K, T>;
declare function union<T extends readonly ((u: unknown) => u is unknown)[]>(...guard: [...T]): (u: unknown) => u is T[number];
declare function intersect<T extends readonly ((u: unknown) => u is unknown)[]>(...guard: [...T]): (u: unknown) => u is Intersect<T>;
declare function optional<T>(guard: (u: unknown) => u is T): (u: unknown) => u is undefined | T;
declare function object<T extends {
    [x: string]: (u: any) => boolean;
}>(qs: T, $: Required<SchemaOptions>): (u: unknown) => boolean;
declare function tuple<Opts extends {
    minLength?: number;
} & SchemaOptions>(options: Opts): <T extends readonly Predicate[]>(...qs: T) => Predicate;
export {};
//# sourceMappingURL=predicate.d.ts.map