import type { TypeError } from '@traversable/registry';
import type { t } from './core.js';
export interface Predicate<T = unknown> {
    (value: T): boolean;
    (value?: T): boolean;
}
export type InvalidItem = never | TypeError<'A required element cannot follow an optional element.'>;
export type Guard<T = unknown> = {
    (u: unknown): u is T;
};
export type { TypePredicate_ as TypePredicate };
type TypePredicate_<I = unknown, O = unknown> = never | TypePredicate<[I, O]>;
interface TypePredicate<T extends [unknown, unknown]> {
    (u: T[0]): u is T[1];
    (u: T[1]): boolean;
}
export type ValidateTuple<T extends readonly unknown[], LowerBound = t.Optional<any>, V = ValidateOptionals<[...T], LowerBound>> = [V] extends [['ok']] ? T : V;
type ValidateOptionals<S extends unknown[], LowerBound = t.Optional<any>, Acc extends unknown[] = []> = LowerBound extends S[number] ? S extends [infer H, ...infer T] ? LowerBound extends H ? T[number] extends LowerBound ? ['ok'] : [...Acc, H, ...{
    [Ix in keyof T]: T[Ix] extends LowerBound ? T[Ix] : InvalidItem;
}] : ValidateOptionals<T, LowerBound, [...Acc, H]> : ['ok'] : ['ok'];
export type Label<Req extends readonly any[], Opt extends readonly any[]> = [
    ...Label.Required<Req>,
    ...Label.Optional<Req['length'], Opt>
];
export declare namespace Label {
    type Required<S extends readonly unknown[], _ = REQ[S['length'] & keyof REQ]> = {
        [I in keyof _]: S[I & keyof S];
    };
    type Optional<Offset extends number, Base extends any[], Start = OPT[Offset][Base['length']]> = {
        [I in keyof Start]: Base[I & keyof Base];
    };
}
/**
 * ᵃᵇᶜᵈᵉᶠᵍʰⁱʲᵏˡᵐⁿᵒᵖʳˢᵗᵘᵛʷˣʸᶻ
 */
type REQ = typeof REQ;
declare const REQ: {
    [0x00]: [];
    [0x01]: [ᵃ: 0x01];
    [0x02]: [ᵃ: 0x01, ᵇ: 0x02];
    [0x03]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03];
    [0x04]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04];
    [0x05]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05];
    [0x06]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06];
    [0x07]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07];
    [0x08]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08];
    [0x09]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09];
    [0x0a]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a];
    [0x0b]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b];
    [0x0c]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c];
    [0x0d]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d];
    [0x0e]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d, ⁿ: 0x0e];
    [0x0f]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d, ⁿ: 0x0e, ᵒ: 0x0f];
    [0x10]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d, ⁿ: 0x0e, ᵒ: 0x0f, ᵖ: 0x10];
    [0x11]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d, ⁿ: 0x0e, ᵒ: 0x0f, ᵖ: 0x10, 𐞥: 0x11];
    [0x12]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d, ⁿ: 0x0e, ᵒ: 0x0f, ᵖ: 0x10, 𐞥: 0x11, ʳ: 0x12];
    [0x13]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d, ⁿ: 0x0e, ᵒ: 0x0f, ᵖ: 0x10, 𐞥: 0x11, ʳ: 0x12, ˢ: 0x13];
    [0x14]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d, ⁿ: 0x0e, ᵒ: 0x0f, ᵖ: 0x10, 𐞥: 0x11, ʳ: 0x12, ˢ: 0x13, ᵗ: 0x14];
    [0x15]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d, ⁿ: 0x0e, ᵒ: 0x0f, ᵖ: 0x10, 𐞥: 0x11, ʳ: 0x12, ˢ: 0x13, ᵗ: 0x14, ᵘ: 0x15];
    [0x16]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d, ⁿ: 0x0e, ᵒ: 0x0f, ᵖ: 0x10, 𐞥: 0x11, ʳ: 0x12, ˢ: 0x13, ᵗ: 0x14, ᵘ: 0x15, ᵛ: 0x16];
    [0x17]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d, ⁿ: 0x0e, ᵒ: 0x0f, ᵖ: 0x10, 𐞥: 0x11, ʳ: 0x12, ˢ: 0x13, ᵗ: 0x14, ᵘ: 0x15, ᵛ: 0x16, ʷ: 0x17];
    [0x18]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d, ⁿ: 0x0e, ᵒ: 0x0f, ᵖ: 0x10, 𐞥: 0x11, ʳ: 0x12, ˢ: 0x13, ᵗ: 0x14, ᵘ: 0x15, ᵛ: 0x16, ʷ: 0x17, ˣ: 0x18];
    [0x19]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d, ⁿ: 0x0e, ᵒ: 0x0f, ᵖ: 0x10, 𐞥: 0x11, ʳ: 0x12, ˢ: 0x13, ᵗ: 0x14, ᵘ: 0x15, ᵛ: 0x16, ʷ: 0x17, ˣ: 0x18, ʸ: 0x19];
    [0x1a]: [ᵃ: 0x01, ᵇ: 0x02, ᶜ: 0x03, ᵈ: 0x04, ᵉ: 0x05, ᶠ: 0x06, ᵍ: 0x07, ʰ: 0x08, ⁱ: 0x09, ʲ: 0x0a, ᵏ: 0x0b, ˡ: 0x0c, ᵐ: 0x0d, ⁿ: 0x0e, ᵒ: 0x0f, ᵖ: 0x10, 𐞥: 0x11, ʳ: 0x12, ˢ: 0x13, ᵗ: 0x14, ᵘ: 0x15, ᵛ: 0x16, ʷ: 0x17, ˣ: 0x18, ʸ: 0x19, ᶻ: 0x1a];
};
/**
 * ᵃᵇᶜᵈᵉᶠᵍʰⁱʲᵏˡᵐⁿᵒᵖʳˢᵗᵘᵛʷˣʸᶻ
 */
type OPT = typeof OPT;
declare const OPT: {
    [0x00]: {
        [0x00]: [];
        [0x01]: [ᵃ?: 0x01];
        [0x02]: [ᵃ?: 0x01, ᵇ?: 0x02];
        [0x03]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03];
        [0x04]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04];
        [0x05]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05];
        [0x06]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06];
        [0x07]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07];
        [0x08]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08];
        [0x09]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09];
        [0x0a]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a];
        [0x0b]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b];
        [0x0c]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c];
        [0x0d]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d];
        [0x0e]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e];
        [0x0f]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x10]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x11]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x12]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x13]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x14]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x15]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x16]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x17]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x18]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x19]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x1a]: [ᵃ?: 0x01, ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x01]: {
        [0x00]: [];
        [0x01]: [ᵇ?: 0x02];
        [0x02]: [ᵇ?: 0x02, ᶜ?: 0x03];
        [0x03]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04];
        [0x04]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05];
        [0x05]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06];
        [0x06]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07];
        [0x07]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08];
        [0x08]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09];
        [0x09]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a];
        [0x0a]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b];
        [0x0b]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c];
        [0x0c]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d];
        [0x0d]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e];
        [0x0e]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x0f]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x10]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x11]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x12]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x13]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x14]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x15]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x16]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x17]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x18]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x19]: [ᵇ?: 0x02, ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x02]: {
        [0x00]: [];
        [0x01]: [ᶜ?: 0x03];
        [0x02]: [ᶜ?: 0x03, ᵈ?: 0x04];
        [0x03]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05];
        [0x04]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06];
        [0x05]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07];
        [0x06]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08];
        [0x07]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09];
        [0x08]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a];
        [0x09]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b];
        [0x0a]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c];
        [0x0b]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d];
        [0x0c]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e];
        [0x0d]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x0e]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x0f]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x10]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x11]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x12]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x13]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x14]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x15]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x16]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x17]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x18]: [ᶜ?: 0x03, ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x03]: {
        [0x00]: [];
        [0x01]: [ᵈ?: 0x04];
        [0x02]: [ᵈ?: 0x04, ᵉ?: 0x05];
        [0x03]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06];
        [0x04]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07];
        [0x05]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08];
        [0x06]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09];
        [0x07]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a];
        [0x08]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b];
        [0x09]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c];
        [0x0a]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d];
        [0x0b]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e];
        [0x0c]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x0d]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x0e]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x0f]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x10]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x11]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x12]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x13]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x14]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x15]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x16]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x17]: [ᵈ?: 0x04, ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x04]: {
        [0x00]: [];
        [0x01]: [ᵉ?: 0x05];
        [0x02]: [ᵉ?: 0x05, ᶠ?: 0x06];
        [0x03]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07];
        [0x04]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08];
        [0x05]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09];
        [0x06]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a];
        [0x07]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b];
        [0x08]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c];
        [0x09]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d];
        [0x0a]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e];
        [0x0b]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x0c]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x0d]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x0e]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x0f]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x10]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x11]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x12]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x13]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x14]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x15]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x16]: [ᵉ?: 0x05, ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x05]: {
        [0x00]: [];
        [0x01]: [ᶠ?: 0x06];
        [0x02]: [ᶠ?: 0x06, ᵍ?: 0x07];
        [0x03]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08];
        [0x04]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09];
        [0x05]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a];
        [0x06]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b];
        [0x07]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c];
        [0x08]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d];
        [0x09]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e];
        [0x0a]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x0b]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x0c]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x0d]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x0e]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x0f]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x10]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x11]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x12]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x13]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x14]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x15]: [ᶠ?: 0x06, ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x06]: {
        [0x00]: [];
        [0x01]: [ᵍ?: 0x07];
        [0x02]: [ᵍ?: 0x07, ʰ?: 0x08];
        [0x03]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09];
        [0x04]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a];
        [0x05]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b];
        [0x06]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c];
        [0x07]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d];
        [0x08]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e];
        [0x09]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x0a]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x0b]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x0c]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x0d]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x0e]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x0f]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x10]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x11]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x12]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x13]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x14]: [ᵍ?: 0x07, ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x07]: {
        [0x00]: [];
        [0x01]: [ʰ?: 0x08];
        [0x02]: [ʰ?: 0x08, ⁱ?: 0x09];
        [0x03]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a];
        [0x04]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b];
        [0x05]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c];
        [0x06]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d];
        [0x07]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e];
        [0x08]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x09]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x0a]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x0b]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x0c]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x0d]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x0e]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x0f]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x10]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x11]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x12]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x13]: [ʰ?: 0x08, ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x08]: {
        [0x00]: [];
        [0x01]: [ⁱ?: 0x09];
        [0x02]: [ⁱ?: 0x09, ʲ?: 0x0a];
        [0x03]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b];
        [0x04]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c];
        [0x05]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d];
        [0x06]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e];
        [0x07]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x08]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x09]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x0a]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x0b]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x0c]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x0d]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x0e]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x0f]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x10]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x11]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x12]: [ⁱ?: 0x09, ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x09]: {
        [0x00]: [];
        [0x01]: [ʲ?: 0x0a];
        [0x02]: [ʲ?: 0x0a, ᵏ?: 0x0b];
        [0x03]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c];
        [0x04]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d];
        [0x05]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e];
        [0x06]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x07]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x08]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x09]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x0a]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x0b]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x0c]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x0d]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x0e]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x0f]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x10]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x11]: [ʲ?: 0x0a, ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x0a]: {
        [0x00]: [];
        [0x01]: [ᵏ?: 0x0b];
        [0x02]: [ᵏ?: 0x0b, ˡ?: 0x0c];
        [0x03]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d];
        [0x04]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e];
        [0x05]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x06]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x07]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x08]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x09]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x0a]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x0b]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x0c]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x0d]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x0e]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x0f]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x10]: [ᵏ?: 0x0b, ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x0b]: {
        [0x00]: [];
        [0x01]: [ˡ?: 0x0c];
        [0x02]: [ˡ?: 0x0c, ᵐ?: 0x0d];
        [0x03]: [ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e];
        [0x04]: [ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x05]: [ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x06]: [ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x07]: [ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x08]: [ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x09]: [ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x0a]: [ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x0b]: [ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x0c]: [ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x0d]: [ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x0e]: [ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x0f]: [ˡ?: 0x0c, ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x0c]: {
        [0x00]: [];
        [0x01]: [ᵐ?: 0x0d];
        [0x02]: [ᵐ?: 0x0d, ⁿ?: 0x0e];
        [0x03]: [ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x04]: [ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x05]: [ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x06]: [ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x07]: [ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x08]: [ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x09]: [ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x0a]: [ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x0b]: [ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x0c]: [ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x0d]: [ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x0e]: [ᵐ?: 0x0d, ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x0d]: {
        [0x00]: [];
        [0x01]: [ⁿ?: 0x0e];
        [0x02]: [ⁿ?: 0x0e, ᵒ?: 0x0f];
        [0x03]: [ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x04]: [ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x05]: [ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x06]: [ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x07]: [ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x08]: [ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x09]: [ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x0a]: [ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x0b]: [ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x0c]: [ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x0d]: [ⁿ?: 0x0e, ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x0e]: {
        [0x00]: [];
        [0x01]: [ᵒ?: 0x0f];
        [0x02]: [ᵒ?: 0x0f, ᵖ?: 0x10];
        [0x03]: [ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11];
        [0x04]: [ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x05]: [ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x06]: [ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x07]: [ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x08]: [ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x09]: [ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x0a]: [ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x0b]: [ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x0c]: [ᵒ?: 0x0f, ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x0f]: {
        [0x00]: [];
        [0x01]: [ᵖ?: 0x10];
        [0x02]: [ᵖ?: 0x10, 𐞥?: 0x11];
        [0x03]: [ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12];
        [0x04]: [ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x05]: [ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x06]: [ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x07]: [ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x08]: [ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x09]: [ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x0a]: [ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x0b]: [ᵖ?: 0x10, 𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x10]: {
        [0x00]: [];
        [0x01]: [𐞥?: 0x11];
        [0x02]: [𐞥?: 0x11, ʳ?: 0x12];
        [0x03]: [𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13];
        [0x04]: [𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x05]: [𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x06]: [𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x07]: [𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x08]: [𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x09]: [𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x0a]: [𐞥?: 0x11, ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x11]: {
        [0x00]: [];
        [0x01]: [ʳ?: 0x12];
        [0x02]: [ʳ?: 0x12, ˢ?: 0x13];
        [0x03]: [ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14];
        [0x04]: [ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x05]: [ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x06]: [ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x07]: [ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x08]: [ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x09]: [ʳ?: 0x12, ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x12]: {
        [0x00]: [];
        [0x01]: [ˢ?: 0x13];
        [0x02]: [ˢ?: 0x13, ᵗ?: 0x14];
        [0x03]: [ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15];
        [0x04]: [ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x05]: [ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x06]: [ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x07]: [ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x08]: [ˢ?: 0x13, ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x13]: {
        [0x00]: [];
        [0x01]: [ᵗ?: 0x14];
        [0x02]: [ᵗ?: 0x14, ᵘ?: 0x15];
        [0x03]: [ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16];
        [0x04]: [ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x05]: [ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x06]: [ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x07]: [ᵗ?: 0x14, ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x14]: {
        [0x00]: [];
        [0x01]: [ᵘ?: 0x15];
        [0x02]: [ᵘ?: 0x15, ᵛ?: 0x16];
        [0x03]: [ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17];
        [0x04]: [ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x05]: [ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x06]: [ᵘ?: 0x15, ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x15]: {
        [0x00]: [];
        [0x01]: [ᵛ?: 0x16];
        [0x02]: [ᵛ?: 0x16, ʷ?: 0x17];
        [0x03]: [ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18];
        [0x04]: [ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x05]: [ᵛ?: 0x16, ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x16]: {
        [0x00]: [];
        [0x01]: [ʷ?: 0x17];
        [0x02]: [ʷ?: 0x17, ˣ?: 0x18];
        [0x03]: [ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19];
        [0x04]: [ʷ?: 0x17, ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x17]: {
        [0x00]: [];
        [0x01]: [ˣ?: 0x18];
        [0x02]: [ˣ?: 0x18, ʸ?: 0x19];
        [0x03]: [ˣ?: 0x18, ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x18]: {
        [0x00]: [];
        [0x01]: [ʸ?: 0x19];
        [0x02]: [ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x19]: {
        [0x00]: [];
        [0x01]: [ʸ?: 0x19, ᶻ?: 0x1a];
    };
    [0x1a]: {
        [0x00]: [];
        [0x01]: [ᶻ?: 0x1a];
    };
};
//# sourceMappingURL=types.d.ts.map