import { fn, URI } from '@traversable/registry';
export { /* data types */
never_ as never, unknown_ as unknown, any_ as any, void_ as void, null_ as null, undefined_ as undefined, bigint_ as bigint, symbol_ as symbol, boolean_ as boolean, integer_ as integer, number_ as number, string_ as string, eq, array, record, optional, object_ as object, tuple, union, intersect, leafTags, Leaves, isLeaf, Functor, fold, unfold };
const unknown_ = {
  tag: URI.unknown,
  def: void 0
};
const never_ = {
  tag: URI.never,
  def: void 0
};
const any_ = {
  tag: URI.any,
  def: void 0
};
const void_ = {
  tag: URI.void,
  def: void 0
};
const null_ = {
  tag: URI.null,
  def: null
};
const undefined_ = {
  tag: URI.undefined,
  def: void 0
};
const symbol_ = {
  tag: URI.symbol,
  def: /*#__PURE__*/globalThis.Symbol()
};
const boolean_ = {
  tag: URI.boolean,
  def: false
};
const number_ = {
  tag: URI.number,
  def: 0
};
const integer_ = {
  tag: URI.integer,
  def: 0
};
const bigint_ = {
  tag: URI.bigint,
  def: 0n
};
const string_ = {
  tag: URI.string,
  def: ''
};
function eq(x) {
  return {
    tag: URI.eq,
    def: x
  };
}
function array(x) {
  return {
    tag: URI.array,
    def: x
  };
}
function record(x) {
  return {
    tag: URI.record,
    def: x
  };
}
function optional(x) {
  return {
    tag: URI.optional,
    def: x
  };
}
function tuple(xs) {
  return {
    tag: URI.tuple,
    def: xs
  };
}
function object_(xs) {
  return {
    tag: URI.object,
    def: xs
  };
}
function union(xs) {
  return {
    tag: URI.union,
    def: xs
  };
}
function intersect(xs) {
  return {
    tag: URI.intersect,
    def: xs
  };
}
const Leaves = [unknown_, never_, any_, void_, null_, undefined_, symbol_, boolean_, integer_, number_, bigint_, string_];
const leafTags = /*#__PURE__*/Leaves.map(l => l.tag);
const isLeaf = u => typeof u === 'function' && 'tag' in u && typeof u.tag === 'string' && leafTags.includes(u.tag);
const Functor = {
  map(f) {
    return x => {
      switch (true) {
        default:
          return fn.exhaustive(x);
        case isLeaf(x):
          return x;
        case x.tag === URI.eq:
          return eq(f(x.def));
        case x.tag === URI.array:
          return array(f(x.def));
        case x.tag === URI.record:
          return record(f(x.def));
        case x.tag === URI.optional:
          return optional(f(x.def));
        case x.tag === URI.object:
          return object_(fn.map(x.def, f));
        case x.tag === URI.tuple:
          return tuple(fn.map(x.def, f));
        case x.tag === URI.union:
          return union(fn.map(x.def, f));
        case x.tag === URI.intersect:
          return intersect(fn.map(x.def, f));
      }
    };
  }
};
const fold = /*#__PURE__*/fn.cata(Functor);
const unfold = /*#__PURE__*/fn.ana(Functor);
//# sourceMappingURL=ast.js.map