import { Equal } from '@traversable/registry';
export const eqDefaults = {
  equalsFn: Equal.lax
};
export const defaults = {
  schema: {
    optionalTreatment: 'presentButUndefinedIsOK',
    treatArraysAsObjects: false,
    eq: eqDefaults
  }
};
/** @internal */
let __mutableConfig = {
  ...defaults
};
export function getConfig() {
  return {
    schema: __mutableConfig.schema
  };
}
export function applyOptions(options) {
  const equalsFn = options?.eq?.equalsFn || options?.optionalTreatment === 'treatUndefinedAndOptionalAsTheSame' ? Equal.lax : defaults.schema.eq.equalsFn;
  return !options ? defaults.schema : {
    eq: {
      equalsFn
    },
    optionalTreatment: options.optionalTreatment ?? defaults.schema.optionalTreatment,
    treatArraysAsObjects: options.treatArraysAsObjects ?? defaults.schema.treatArraysAsObjects
  };
}
export function configure($) {
  $?.schema?.optionalTreatment !== undefined && void (__mutableConfig.schema.optionalTreatment = $?.schema?.optionalTreatment);
  $?.schema?.treatArraysAsObjects !== undefined && void (__mutableConfig.schema.treatArraysAsObjects = $.schema.treatArraysAsObjects);
  $?.schema?.eq?.equalsFn !== undefined && void (__mutableConfig.schema.eq.equalsFn = $.schema.eq.equalsFn);
  return getConfig();
}
//# sourceMappingURL=config.js.map